Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006659OCamlstandard librarypublic2014-11-17 15:402016-12-07 16:56
ReporterJulien Signoles 
Assigned Tofrisch 
PrioritynormalSeverityfeatureReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.02.1 
Target VersionFixed in Version4.03.0 
Summary0006659: implement Stack.fold
DescriptionStack.iter is provided, but not Stack.fold: why ?

Of course, this issue is not a blocking one... It is just so annoying :-( (and so easy to fix).
Additional InformationFor instance, when replacing a queue, a list or whatsoever standard datastructure by a stack, that is not as straightforward as expected...
TagsNo tags attached.
Attached Files

- Relationships
duplicate of 0003622resolvedfrisch Fold function for Stack 
related to 0005960resolvedgasche List.cons function 

-  Notes
(0012529)
Julien Signoles (reporter)
2014-11-17 15:48

Searched but not found it in this BTS.
Thank you for finding it.
(0016737)
frisch (developer)
2016-12-07 16:55

Fixed by GPR#195.

- Issue History
Date Modified Username Field Change
2014-11-17 15:40 Julien Signoles New Issue
2014-11-17 15:42 yallop Relationship added duplicate of 0003622
2014-11-17 15:48 Julien Signoles Note Added: 0012529
2014-11-21 23:46 doligez Status new => acknowledged
2014-11-21 23:46 doligez OS Linux =>
2014-11-21 23:46 doligez OS Version Ubuntu 8.04 =>
2014-11-21 23:46 doligez Platform AMD 64 =>
2015-05-24 17:01 gasche Relationship added related to 0005960
2016-12-07 16:55 frisch Note Added: 0016737
2016-12-07 16:55 frisch Status acknowledged => resolved
2016-12-07 16:55 frisch Resolution open => fixed
2016-12-07 16:55 frisch Assigned To => frisch
2016-12-07 16:56 frisch Fixed in Version => 4.03.0
2017-02-23 16:43 doligez Category OCaml standard library => standard library


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker